Bug 178465 - resolv.conf mislabled after install
resolv.conf mislabled after install
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Anaconda Maintenance Team
Mike McLean
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-01-20 15:36 EST by Bill Nottingham
Modified: 2014-03-16 22:57 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-01-23 16:31:40 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Bill Nottingham 2006-01-20 15:36:37 EST
avc: denied { write } for pid=2301 comm="dhclient-script" name="resolv.conf"
scontext=root:system_r:dhcpc_t ... tcontext=system_u:object_r:etc_t
Comment 1 Bill Nottingham 2006-01-20 15:52:29 EST
restorecon /etc/resolv.conf after install fixes it, however, by that point, you
already have a resolv.conf that doesn't have a nameserver in it.
Comment 2 Chris Lumens 2006-01-23 15:47:15 EST
Are you using kickstart and doing anything to modify /etc/resolv.conf during
your %post script?  Our default install sets the file to
system_u:object_r:net_conf_t but gets reset to whatever the parent says if we
try touching the file after installation is complete.
Comment 3 Bill Nottingham 2006-01-23 15:53:21 EST
Unless 
"/usr/sbin/authconfig --enablekrb5realmdns --kickstart"
touches it, no, I'm not touching it.
Comment 4 Chris Lumens 2006-01-23 15:56:55 EST
Could you check /var/log/anaconda.log for resolv.conf?  We log a message for
every file we change the context on.
Comment 5 Bill Nottingham 2006-01-23 16:02:20 EST
During install? There's nothing in install.log*.
Comment 6 Bill Nottingham 2006-01-23 16:03:16 EST
Oh wait, I think this is the box that tracebacked writing the KS file... is the
reset to net_conf_t after that?
Comment 7 Chris Lumens 2006-01-23 16:08:44 EST
Setting file contexts is the step right after writing the kickstart config.
Comment 8 Bill Nottingham 2006-01-23 16:31:40 EST
OK then. :)

Note You need to log in before you can comment on or make changes to this bug.